gtkmm 3.6.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions
Gdk::DisplayManager Class Reference

The purpose of the GdkDisplayManager singleton object is to offer notification when displays appear or disappear or the default display changes. More...

Inheritance diagram for Gdk::DisplayManager:
[legend]

List of all members.

## Public Member Functions

virtual | ~DisplayManager ()
GdkDisplayManager* | gobj ()
| Provides access to the underlying C GObject.
const GdkDisplayManager* | gobj () const
| Provides access to the underlying C GObject.
GdkDisplayManager* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Display > | get_default_display ()
| Gets the default Gdk::Display.
Glib::RefPtr< const Display > | get_default_display () const
| Gets the default Gdk::Display.
void | set_default_display (const Glib::RefPtr< Display >& display)
| Sets display as the default display.
std::vector< Glib::RefPtr < Display > > | list_displays ()
| List all currently open displays.
Glib::RefPtr< Display > | open_display (const Glib::ustring& name)
| Opens a display.
Glib::PropertyProxy < Glib::RefPtr< Display > > | property_default_display ()
| The default display for GDK.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Display > > | property_default_display () const
| The default display for GDK.
Glib::SignalProxy1< void, const Glib::RefPtr< Display >& > | signal_display_opened ()
Public Member Functions inherited from Glib::Object
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj_copy () const
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr < DisplayManager > | get ()
| Gets the singleton Gdk::DisplayManager object.

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gdk::DisplayManager > | wrap (GdkDisplayManager* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members

Public Types inherited from Glib::Object
typedef void(* | DestroyNotify )(gpointer data)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object ()
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
virtual | ~ObjectBase ()=0
void | initialize (GObject *castitem)

## Detailed Description

The purpose of the GdkDisplayManager singleton object is to offer notification when displays appear or disappear or the default display changes.

## Constructor & Destructor Documentation

virtual Gdk::DisplayManager::~DisplayManager | ( |  | ) |

virtual

## Member Function Documentation

static Glib::RefPtr<DisplayManager> Gdk::DisplayManager::get | ( |  | ) |

static

Gets the singleton Gdk::DisplayManager object.

When called for the first time, this function consults the <envar>GDK_BACKEND</envar> environment variable to find out which of the supported GDK backends to use (in case GDK has been compiled with multiple backends).

Since gtkmm 2.2:

Returns:
  The global Gdk::DisplayManager singleton; gdk_parse_args(), gdk_init(), or gdk_init_check() must have been called first.

Glib::RefPtr<Display> Gdk::DisplayManager::get_default_display | ( |  | ) |

Gets the default Gdk::Display.

Since gtkmm 2.2:

Returns:
  A Gdk::Display, or `0` if there is no default display.

Glib::RefPtr<const Display> Gdk::DisplayManager::get_default_display | ( |  | ) | const

Gets the default Gdk::Display.

Since gtkmm 2.2:

Returns:
  A Gdk::Display, or `0` if there is no default display.

static GType Gdk::DisplayManager::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

GdkDisplayManager* Gdk::DisplayManager::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

Reimplemented from Glib::Object.

const GdkDisplayManager* Gdk::DisplayManager::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

Reimplemented from Glib::Object.

GdkDisplayManager* Gdk::DisplayManager::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

std::vector< Glib::RefPtr<Display> > Gdk::DisplayManager::list_displays | ( |  | ) |

List all currently open displays.

Since gtkmm 2.2:

Returns:
  A list of Gdk::Display objects.

Glib::RefPtr<Display> Gdk::DisplayManager::open_display | ( | const Glib::ustring & | name | ) |

Opens a display.

Since gtkmm 3.0:

Parameters:

  name | The name of the display to open.

Returns:
  A Gdk::Display, or `0` if the display could not be opened.

Glib::PropertyProxy< Glib::RefPtr<Display> > Gdk::DisplayManager::property_default_display | ( |  | ) |

The default display for GDK.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Display> > Gdk::DisplayManager::property_default_display | ( |  | ) | const

The default display for GDK.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gdk::DisplayManager::set_default_display | ( | const Glib::RefPtr< Display >& | display | ) |

Sets display as the default display.

Since gtkmm 2.2:

Parameters:

  display | A Gdk::Display.

Glib::SignalProxy1< void,const Glib::RefPtr<Display>& > Gdk::DisplayManager::signal_display_opened | ( |  | ) |

Slot Prototype:
  `void on_my_display_opened(const Glib::RefPtr<Display>& display)`

The signal_display_opened() signal is emitted when a display is opened.

Since gtkmm 2.2:

Parameters:

  display | The opened display.

## Friends And Related Function Documentation

Glib::RefPtr< Gdk::DisplayManager > wrap | ( | GdkDisplayManager * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdkmm/displaymanager.h